Ubuntu 6283 Published by

A Git security update has been released for Ubuntu Linux 16.04 ESM.



USN-5686-4: Git vulnerability


==========================================================================
Ubuntu Security Notice USN-5686-4
March 28, 2023

git vulnerability
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 16.04 ESM

Summary:

Git could be made to expose sensitive information.

Software Description:
- git: fast, scalable, distributed revision control system

Details:

USN-5686-1 fixed several vulnerabilities in Git. This update
provides the corresponding fix for CVE-2022-39253 on Ubuntu 16.04 ESM.

Original advisory details:

Cory Snider discovered that Git incorrectly handled certain symbolic links.
An attacker could possibly use this issue to cause an unexpected behaviour.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 16.04 ESM:
git 1:2.7.4-0ubuntu1.10+esm6

In general, a standard system update will make all the necessary changes.

References:
https://ubuntu.com/security/notices/USN-5686-4
https://ubuntu.com/security/notices/USN-5686-1
CVE-2022-39253